%define require_ibus_version 1.4.0

Name:		ibus-panel-extensions
Version:	1.4.99.20111021
Release:	2%{?dist}
Summary:	Additional UI service components for IBus

License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://github.com/ueno/ibus-panel-extensions/
Source0:	https://github.com/downloads/ueno/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	vala
BuildRequires:	gucharmap-devel
BuildRequires:	sqlite-devel
BuildRequires:	eekboard-devel
# FIXME switch to libgee-0.8 once this package is ready for the new libgee API
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	ibus-devel >= %{require_ibus_version}
BuildRequires:	intltool
# for regenerating configure script
# BuildRequires:	libtool, gnome-common
Requires:	ibus >= %{require_ibus_version}

%description
This package contains the following components:

* charmap: character map
* virtkbd: virtual keyboard
* drawing: drawing pad for hand-writing input

Each component consists of a D-Bus service running on IBus bus (which
provides actual UI), a client library to access the service, and an
example IME using the service through the library.

%package devel
Summary:	Libraries and header files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and header files for %{name}

%package python
Summary:	Python language binding for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description python
Python language binding for %{name}


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig


%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc README.markdown COPYING
%{_libexecdir}/*
%{_datadir}/ibus/component/*
%{_libdir}/*.so.*
%{_datadir}/ibus-panel-extensions
%{_datadir}/glib-2.0/schemas/*


%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ibus-panel-extensions
%{_datadir}/gtk-doc/html/ibus-panel-extensions
%{_datadir}/vala/vapi/*


%files python
%{python_sitelib}/ibus-panel-extensions


%changelog
* Fri Nov 18 2011 Daiki Ueno <dueno@redhat.com> - 1.4.99.20111021-2
- omit Requires: ldconfig

* Fri Oct 21 2011 Daiki Ueno <dueno@redhat.com> - 1.4.99.20111021-1
- initial packaging for Fedora

